﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace RangeSliderSample
{
    public class RangeViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        private double internalRangeStart;

        public double InternalRangeStart
        {
            get { return internalRangeStart; }
            set { internalRangeStart = value; OnPropertyChanged("InternalRangeStart"); }
        }

        private double rangeSliderStart = 5.0d;

        public double RangeSliderStart
        {
            get
            {
                return rangeSliderStart;
            }
            set
            {
                rangeSliderStart = value;
                OnPropertyChanged("RangeSliderStart");
            }
        }


            private double rangeSliderStart2 = 5.0d;

        public double RangeSliderStart2
        {
            get
            {
                return rangeSliderStart2;
            }
            set
            {
                if (Math.Round(rangeSliderStart2, 1) != Math.Round(value, 1))
                {
                    rangeSliderStart2 = value;
                    OnPropertyChanged("RangeSliderStart2");
                }
            }
        }


        private double rangeSliderEnd;

        public double RangeSliderEnd
        {
            get { return rangeSliderEnd; }
            set { rangeSliderEnd = value; OnPropertyChanged("RangeSliderEnd"); }
        }
        public RangeViewModel()
        {

        }

        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }
    }
}
